Bug 872830 - [Indic] Rendering of dependent vowel is changed with cursor moment (tested in gedit)
[Indic] Rendering of dependent vowel is changed with cursor moment (tested in...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: harfbuzz (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-03 13:11 EDT by A S Alam
Modified: 2013-12-22 23:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-22 23:06:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Video file (ogg) for Cursor issue (371.79 KB, video/ogg)
2012-11-03 13:19 EDT, A S Alam
no flags Details

  None (edit)
Description A S Alam 2012-11-03 13:11:39 EDT
Description of problem:
Rendering of dependent vowel (South Asian Locales) is changed with cursor moment (tested in gedit), while it was not happening with pango rendering (Fedora 17) or in Libreoffice (fedora 18).

Version-Release number of selected component (if applicable):
harfbuzz-0.9.5-1.fc18.x86_64
gedit-3.6.1-1.fc18.x86_64
lohit-bengali-fonts-2.5.1-2.fc18.noarch
pango-1.32.1-1.fc18.x86_64
libicu-49.1.1-5.fc18.x86_64


How reproducible:
Everytime

Steps to Reproduce:
1. Copy paste for dependent vowel character from http://utrrs-testing.rhcloud.com/language/bn_IN/ (or copy paste following)
---
 ি
 া
 ়
 ু
 ূ
---
2. move cursor or press enter at end of character
3. dotted circle appear and disappear
  
Actual results:
dotted circle appear and disappear randomly

Expected results:
dotted circle should not change with cursor movement (which is not happening in Firefox itself (which is also using 

Additional info:
1. OGG file for Video 
2. Fedora 17 gedit/pango have not such issue
Comment 1 A S Alam 2012-11-03 13:19:22 EDT
Created attachment 637546 [details]
Video file (ogg) for Cursor issue
Comment 2 Fedora Admin XMLRPC Client 2012-12-10 05:31:06 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2013-12-21 04:16:33 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Pravin Satpute 2013-12-22 23:06:44 EST
Tested this with 
harfbuzz-0.9.23-1.fc20.x86_64
pango-1.34.1-1.fc19.x86_64

Issue is not appearing anymore. Please reopen if any further problem.

Note You need to log in before you can comment on or make changes to this bug.